<?php
  ///////////////////////////////////////////////////
  //перемещение строк вверх/вниз
  //2009 (C)
  //Карпухин Павел
  ///////////////////////////////////////////////////
  $lang = substr($_SERVER["HTTP_ACCEPT_LANGUAGE"], 0,2);
  if (is_file ("../lang/".$lang."/".$lang.".php")) include "../lang/".$lang."/".$lang.".php";
     else include "../lang/ru/ru.php";

  $title=$titlepage = $TEXT['org-title3'];

  require_once "../config.php";
  require_once "../util/top.php";

  if($result2['user'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['master'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['manager'] == 1) puterror2($TEXT['error-loginform4']);

  if(empty($_GET['step_id'])) puterror2($TEXT['error-marsh6']);
  if(strlen($_GET['step_id'])>11) puterror2($TEXT['error-marsh7']);
  if(empty($_GET['mar_id'])) puterror2($TEXT['error-marsh16']);
  if(strlen($_GET['mar_id'])>11) puterror2($TEXT['error-marsh13']);
  if(empty($_GET['position'])) puterror2($TEXT['error-marsh4']);
  if(strlen($_GET['position'])>5) puterror2($TEXT['error-marsh5']);
  if(empty($_GET['moving'])) puterror2($TEXT['error-otd4']);
  if(strlen($_GET['moving'])>5) puterror2($TEXT['error-otd5']);

  $_GET['position'] = rep($_GET['position']);
  $_GET['step_id'] = rep($_GET['step_id']);
  $_GET['moving'] = rep($_GET['moving']);
  $_GET['mar_id'] = rep($_GET['mar_id']);

  if($_GET['moving']=="up"){
  $query_move = "SELECT step_id, mar_id, position FROM `tbl_step` WHERE `position`<'".$_GET['position']."' AND `mar_id`='".$_GET['mar_id']."' ORDER BY `position` DESC LIMIT 1 ";
  $result_move = mysql_query($query_move);
  if(!$result_move) puterror2($TEXT['error-tbl43']);
   $result2_move = mysql_fetch_array($result_move);
   if($result2_move['position'] == 0) puterror2($TEXT['global-up-down']);

   $query = "UPDATE `tbl_step` SET `position`='".$result2_move['position']."' WHERE `step_id`='".$_GET['step_id']."' ";
   if(mysql_query($query))
   {
   $query = "UPDATE `tbl_step` SET `position`='".$_GET['position']."' WHERE `step_id`='".$result2_move['step_id']."' ";
     if(mysql_query($query))
      {
       echo "<html><head>
          <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=marshindex.php?mar_id=".$_GET['mar_id']."' />
          </head></html>";
      } else puterror2($TEXT['error-tbl43']);
   } else puterror2($TEXT['error-tbl43']);
  }
  else
  {
  $query_move = "SELECT step_id, mar_id, position FROM `tbl_step` WHERE `position`>'".$_GET['position']."' AND `mar_id`='".$_GET['mar_id']."' ORDER BY `position` LIMIT 1";
  $result_move = mysql_query($query_move);
  if(!$result_move) puterror2($TEXT['error-tbl43']);
   $result2_move = mysql_fetch_array($result_move);
  if($result2_move['position'] == 0) puterror2($TEXT['global-up-down']);

  $query = "UPDATE `tbl_step` SET `position`='".$_GET['position']."' WHERE `step_id`='".$result2_move['step_id']."' ";
  if(mysql_query($query))
  {
   $query = "UPDATE `tbl_step` SET `position`='".$result2_move['position']."' WHERE `step_id`='".$_GET['step_id']."' ";
     if(mysql_query($query))
      {
       echo "<html><head>
          <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=marshindex.php?mar_id=".$_GET['mar_id']."' />
          </head></html>";
      } else puterror2($TEXT['error-tbl43']);
    } else puterror2($TEXT['error-tbl43']);
  }
  require_once "../util/bottom.php";
?>